Subject: pkg/17696: Buildlinkify missing dependancies in audio/arts
To: None <>
From: Julio Merino <>
List: netbsd-bugs
Date: 07/24/2002 12:55:41
>Number:         17696
>Category:       pkg
>Synopsis:       Buildlinkify missing dependancies in audio/arts
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Wed Jul 24 03:55:00 PDT 2002
>Originator:     Julio Merino
>Release:        NetBSD 1.6D
System: NetBSD darkstar.local 1.6D NetBSD 1.6D (DARKSTAR) #0: Mon Jul 22 12:44:12 CEST 2002 jmmv@darkstar.local:/var/build/kernel/DARKSTAR i386
Architecture: i386
Machine: i386
	The package audio/arts contains a BUILD_DEPENDS to lang/perl5. As this
	package has now a, use it in this package.

Index: Makefile
RCS file: /pub/NetBSD-CVS/pkgsrc/audio/arts/Makefile,v
retrieving revision 1.3
diff -u -u -r1.3 Makefile
--- Makefile	2002/07/17 07:54:03	1.3
+++ Makefile	2002/07/24 10:52:33
@@ -12,7 +12,6 @@
 LIBTOOL_OVERRIDE+=	${WRKSRC}/libltdl/libtool
-BUILD_DEPENDS+=		perl>=${PERL5_REQD}:../../lang/perl5
 USE_PTHREAD=		native pth-syscall
 .include "../../mk/"
@@ -25,6 +24,7 @@
 .include "../../audio/libaudiofile/"
+.include "../../lang/perl5/"
 .include "../../mk/"
 .include "../../x11/kde3/"
 .include "../../mk/"